Graphviz Issue Tracker
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001863graphvizTcl/Tk Utilitiespublic2010-04-24 11:362013-10-22 10:33
ReporterPierre 
Assigned Toellson 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSx86-Linux-OS Version
Summary0001863: Problem compiling graphviz 2.26.3
Description



<CD>
[...]
make[4]: Entering directory `/tmp/graphviz-2.26.3/tclpkg/gv'
/bin/sh ../../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../lib/gvc -I../../lib/common -I../../lib/graph -I../../lib/cdt -I../../lib/pathplan -DDEMAND_LOADING=1 -I/usr/local/lib/perl5/5.11.1/i686-linux-thread-multi-ld/CORE -I/usr/local/include -s -O3 -march=i686 -MT libgv_perl_la-gv_perl.lo -MD -MP -MF .deps/libgv_perl_la-gv_perl.Tpo -c -o libgv_perl_la-gv_perl.lo `test -f 'gv_perl.cpp' || echo './'`gv_perl.cpp
libtool: compile: g++ -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../lib/gvc -I../../lib/common -I../../lib/graph -I../../lib/cdt -I../../lib/pathplan -DDEMAND_LOADING=1 -I/usr/local/lib/perl5/5.11.1/i686-linux-thread-multi-ld/CORE -I/usr/local/include -s -O3 -march=i686 -MT libgv_perl_la-gv_perl.lo -MD -MP -MF .deps/libgv_perl_la-gv_perl.Tpo -c gv_perl.cpp -fPIC -DPIC -o .libs/libgv_perl_la-gv_perl.o
gv_perl.cpp:727: error: expected unqualified-id before string constant
gv_perl.cpp:728: error: expected initializer before '*' token
gv_perl.cpp:733: error: 'SwigPerlWrapperPtr' does not name a type
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp:5546: error: too many initializers for 'swig_command_info'
gv_perl.cpp: In function 'void boot_gv(PerlInterpreter*, CV*)':
gv_perl.cpp:5566: error: 'struct swig_command_info' has no member named 'wrapper'
make[4]: *** [libgv_perl_la-gv_perl.lo] Error 1
make[4]: Leaving directory `/tmp/graphviz-2.26.3/tclpkg/gv'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/tmp/graphviz-2.26.3/tclpkg/gv'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/graphviz-2.26.3/tclpkg'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/graphviz-2.26.3'
make: *** [all] Error 2
</CD>
Additional Information

[ellson]
What version of swig do you have? We discovered recently that there are problems with swig < 1.3.33 and perl, at least on Macs.

[pierre42d]
<CD>
# swig -version

SWIG Version 1.3.23
Copyright (c) 1995-1998
University of Utah and the Regents of the University of California
Copyright (c) 1998-2004
University of Chicago
Compiled with g++ [i686-pc-linux-gnu]

Please see http://www.swig.org [^] for reporting bugs and further information
</CD>

TagsNo tags attached.
AUXILLARY-FILES
DATE-FIXED
FIX-COMMENTneed swig >= 1.3.33
FORMER-ID1933
INPUT-FILE
OUTPUT-FILE
STATUS-COMMENT*
VERSION     2.26.3
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-04-28 04:03 user1 New Issue
2011-04-28 04:03 user1 Assigned To => user695
2013-10-22 10:32 ellson FIX-COMMENT => need swig >= 1.3.33
2013-10-22 10:32 ellson Status acknowledged => resolved
2013-10-22 10:32 ellson Resolution open => fixed
2013-10-22 10:33 ellson Status resolved => closed


MantisBT 1.2.5[^]
Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker